ICU 78.2: Data Fields

ICU 78.2 78.2

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - r -

- r : UText
- rangeEnd : U_HEADER_ONLY_NAMESPACE::CodePointRange
- RangeIterator() : icu::Locale::RangeIterator< Iter >
- ranges() : icu::UnicodeSet
- rangeStart : U_HEADER_ONLY_NAMESPACE::CodePointRange
- rbcFromUCollator() : icu::RuleBasedCollator
- rbegin() : icu::UnicodeString , U_HEADER_ONLY_NAMESPACE::UnsafeUTFStringCodePoints< CP32, Range > , U_HEADER_ONLY_NAMESPACE::UTFStringCodePoints< CP32, behavior, Range >
- readOnlyAlias() : icu::UnicodeString
- reciprocal() : icu::MeasureUnit
- reference : U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates > , U_HEADER_ONLY_NAMESPACE::UnsafeUTFIterator< CP32, UnitIter, typename > , U_HEADER_ONLY_NAMESPACE::UTFIterator< CP32, behavior, UnitIter, LimitIter, typename >
- reflow() : icu::ParagraphLayout
- refreshInputText() : icu::BreakIterator , icu::RegexMatcher , icu::RuleBasedBreakIterator
- RegexMatcher() : icu::RegexMatcher
- RegexPattern() : icu::RegexPattern
- region() : icu::RegexMatcher
- regionDisplayName() : icu::LocaleDisplayNames
- regionEnd() : icu::RegexMatcher
- regionEnd64() : icu::RegexMatcher
- regionStart() : icu::RegexMatcher
- regionStart64() : icu::RegexMatcher
- registerAlias() : icu::Transliterator
- registerExternalBreakEngine() : icu::RuleBasedBreakIterator
- registerFactory() : icu::Calendar , icu::Collator , icu::NumberFormat , icu::Transliterator
- registerInstance() : icu::BreakIterator , icu::Collator , icu::Transliterator
- RelativeDateTimeFormatter() : icu::RelativeDateTimeFormatter
- releaseBuffer() : icu::UnicodeString
- remove() : icu::UnicodeSet , icu::UnicodeString
- remove_prefix() : icu::StringPiece
- remove_suffix() : icu::StringPiece
- removeAll() : icu::UnicodeSet
- removeAllStrings() : icu::UnicodeSet
- removeBetween() : icu::UnicodeString
- removeUnicodeLocaleAttribute() : icu::LocaleBuilder
- rend() : icu::UnicodeString , U_HEADER_ONLY_NAMESPACE::UnsafeUTFStringCodePoints< CP32, Range > , U_HEADER_ONLY_NAMESPACE::UTFStringCodePoints< CP32, behavior, Range >
- replace() : icu::UnicodeReplacer , icu::UnicodeString , UReplaceableCallbacks , UTextFuncs
- Replaceable() : icu::Replaceable
- replaceAll() : icu::RegexMatcher
- replaceBetween() : icu::UnicodeString
- replaceFieldTypes() : icu::DateTimePatternGenerator
- replaceFirst() : icu::RegexMatcher
- replacementIndex() : icu::Edits::Iterator
- requireEnd() : icu::RegexMatcher
- resemblesPattern() : icu::UnicodeSet
- reserveAppendCapacity() : icu::Appendable , icu::UnicodeStringAppendable
- reserved1 : UTextFuncs
- reserved2 : UTextFuncs
- reserved3 : UTextFuncs
- reservedB3 : UIDNAInfo
- reservedByte : UDataInfo
- reservedField : UCharIterator
- reservedFn : UCharIterator
- reservedI2 : UIDNAInfo
- reservedI3 : UIDNAInfo
- reservedWord : UDataInfo
- reset() : icu::BytesTrie::Iterator , icu::BytesTrie , icu::CanonicalIterator
- Reset() : icu::CheckedArrayByteSink
- reset() : icu::CollationElementIterator , icu::ConstrainedFieldPosition , icu::Edits , icu::ErrorCode , icu::Normalizer , icu::RegexMatcher , icu::RunArray , icu::SearchIterator , icu::StringEnumeration , icu::StringSearch , icu::UCharsTrie::Iterator , icu::UCharsTrie , icu::UnicodeSetIterator
- resetBucketIterator() : icu::AlphabeticIndex
- resetIterator() : icu::ResourceBundle
- resetPreserveRegion() : icu::RegexMatcher
- resetRecordIterator() : icu::AlphabeticIndex
- resetToState() : icu::BytesTrie , icu::UCharsTrie
- resetToState64() : icu::BytesTrie , icu::UCharsTrie
- resolveFields() : icu::Calendar
- ResourceBundle() : icu::ResourceBundle
- Result() : icu::LocaleMatcher::Result
- retain() : icu::UnicodeSet
- retainAll() : icu::UnicodeSet
- retainBetween() : icu::UnicodeString
- reverse() : icu::UnicodeString
- roll() : icu::Calendar , icu::GregorianCalendar
- roundingMode : icu::number::impl::MacroProps , icu::number::NumberFormatterSettings< Derived >
- roundTo() : icu::number::SimpleNumber
- RuleBasedBreakIterator() : icu::RuleBasedBreakIterator
- RuleBasedCollator : icu::CollationKey , icu::RuleBasedCollator
- RuleBasedNumberFormat() : icu::RuleBasedNumberFormat
- RuleBasedTimeZone() : icu::RuleBasedTimeZone
- rules : icu::number::impl::MacroProps
- RunArray() : icu::RunArray